Subject: Re: [APPS-REVIEW] Metalink XML Download Description Format (draft-bryan-metalink-02)

From: "Anthony Bryan" <[email-masked]>
Date: Thu, 4 Sep 2008 16:09:26 -0400

On Wed, Sep 3, 2008 at 2:54 PM, Julian Reschke <[email-masked]> wrote:
> Anthony Bryan wrote:
>>
>> ...
>>>
>>> One way out of that would by to "grab" special type names like "torrent",
>>> and hardwire them. That should be ok as long as they can't collide with
>>> registered names (thus no "/" allowed).
>>
>> Great, thanks Julian! Thanks to the other people that mentioned this
>> as well, it seems much cleaner & tightened up now. :)
>>
>> Do I need to explicitly state no "/" allowed, or just know any that
>> ones I'm defining can't be "/" ?
>
> I'd say that types without "/" are reserved, and the only reserved value for
> now is "torrent".

Done.

>> And would it be better to just allow the unofficial MIME type, instead
>> of essentially creating an unofficial registry with one or a handful
>> of entries? Or is MIME types plus hardwired entries better?
>> ...
>
> I think you'll see pushback once you start to make normative requirements
> related to unregistered mime types. So, you can also try to get a type
> registered, which of course would be the cleaner solution...

Understood. That would be nice if it already was registered.

I've incorporated these comments into a new draft at
http://tools.ietf.org/html/draft-bryan-metalink-02

There are some issues I would like help from people:

- Inclusion of digital signatures other than PGP.
- Ability to specify if a file is in one or multiple languages.
- Ability to specify if a file is for one or more operating systems.
Maybe using the IANA Operating System Names registry at
http://www.iana.org/assignments/operating-system-names , but these
seem quite outdated. Or possibly using
http://nvd.nist.gov/schema/nvdcve.xsd ?

-- 
(( Anthony Bryan ... Metalink [ http://www.metalinker.org ]
 )) Easier, More Reliable, Self Healing Downloads